import { PersonaInitialsColor, PersonaPresence, PersonaSize } from './Persona.types';
import * as stylesImport from './Persona.scss';
var styles = stylesImport;
export var PERSONA_SIZE = (_a = {},
    // All non-numerically named sizes are deprecated, use the numerically named classes below
    _a[PersonaSize.tiny] = 'ms-Persona--tiny ' + styles.rootIsSize10,
    _a[PersonaSize.extraExtraSmall] = 'ms-Persona--xxs ' + styles.rootIsSize24,
    _a[PersonaSize.extraSmall] = 'ms-Persona--xs ' + styles.rootIsSize28,
    _a[PersonaSize.small] = 'ms-Persona--sm ' + styles.rootIsSize40,
    _a[PersonaSize.regular] = '',
    _a[PersonaSize.large] = 'ms-Persona--lg ' + styles.rootIsSize72,
    _a[PersonaSize.extraLarge] = 'ms-Persona--xl ' + styles.rootIsSize100,
    _a[PersonaSize.size10] = 'ms-Persona--size10 ' + styles.rootIsSize10,
    _a[PersonaSize.size16] = 'ms-Persona--size16 ' + styles.rootIsSize16,
    _a[PersonaSize.size24] = 'ms-Persona--size24 ' + styles.rootIsSize24,
    _a[PersonaSize.size28] = 'ms-Persona--size28 ' + styles.rootIsSize28,
    _a[PersonaSize.size32] = 'ms-Persona--size32 ' + styles.rootIsSize32,
    _a[PersonaSize.size40] = 'ms-Persona--size40 ' + styles.rootIsSize40,
    _a[PersonaSize.size48] = 'ms-Persona--size48 ' + styles.rootIsSize48,
    _a[PersonaSize.size72] = 'ms-Persona--size72 ' + styles.rootIsSize72,
    _a[PersonaSize.size100] = 'ms-Persona--size100 ' + styles.rootIsSize100,
    _a);
export var PERSONA_PRESENCE = (_b = {},
    _b[PersonaPresence.offline] = 'ms-Persona--offline ' + styles.rootIsOffline,
    _b[PersonaPresence.online] = 'ms-Persona--online ',
    _b[PersonaPresence.away] = 'ms-Persona--away ' + styles.rootIsAway,
    _b[PersonaPresence.dnd] = 'ms-Persona--dnd ' + styles.rootIsDoNotDisturb,
    _b[PersonaPresence.blocked] = 'ms-Persona--blocked ' + styles.rootIsBlocked,
    _b[PersonaPresence.busy] = 'ms-Persona--busy ' + styles.rootIsBusy,
    _b);
export var PERSONA_INITIALS_COLOR = (_c = {},
    _c[PersonaInitialsColor.lightBlue] = 'ms-Persona-initials--lightBlue ' + styles.initialsIsLightBlue,
    _c[PersonaInitialsColor.blue] = 'ms-Persona-initials--blue ' + styles.initialsIsBlue,
    _c[PersonaInitialsColor.darkBlue] = 'ms-Persona-initials--darkBlue ' + styles.initialsIsDarkBlue,
    _c[PersonaInitialsColor.teal] = 'ms-Persona-initials--teal ' + styles.initialsIsTeal,
    _c[PersonaInitialsColor.lightGreen] = 'ms-Persona-initials--lightGreen ' + styles.initialsIsLightGreen,
    _c[PersonaInitialsColor.green] = 'ms-Persona-initials--green ' + styles.initialsIsGreen,
    _c[PersonaInitialsColor.darkGreen] = 'ms-Persona-initials--darkGreen ' + styles.initialsIsDarkGreen,
    _c[PersonaInitialsColor.lightPink] = 'ms-Persona-initials--lightPink ' + styles.initialsIsLightPink,
    _c[PersonaInitialsColor.pink] = 'ms-Persona-initials--pink ' + styles.initialsIsPink,
    _c[PersonaInitialsColor.magenta] = 'ms-Persona-initials--magenta ' + styles.initialsIsMagenta,
    _c[PersonaInitialsColor.purple] = 'ms-Persona-initials--purple ' + styles.initialsIsPurple,
    _c[PersonaInitialsColor.black] = 'ms-Persona-initials--black ' + styles.initialsIsBlack,
    _c[PersonaInitialsColor.orange] = 'ms-Persona-initials--orange ' + styles.initialsIsOrange,
    _c[PersonaInitialsColor.red] = 'ms-Persona-initials--red ' + styles.initialsIsRed,
    _c[PersonaInitialsColor.darkRed] = 'ms-Persona-initials--darkRed ' + styles.initialsIsDarkRed,
    _c[PersonaInitialsColor.transparent] = 'ms-Persona-initials--transparent ' + styles.initialsIsTransparent,
    _c);
var _a, _b, _c;
//# sourceMappingURL=PersonaConsts.js.map